%define upstream_name HTTP_Session
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.5.6
Release:     	%mkrel 12
Summary:    	Object-oriented interface to the session_* family functions
License: 	PHP Licence
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/HTTP_Session-%{version}.tgz
URL: 		https://pear.php.net/package/HTTP_Session
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Object-oriented interface to the session_* family functions.
It provides extra features such as database storage for
session data using the DB, MDB, and MDB2 package as well as the Memcache
extension. It introduces new methods
like isNew(), useCookies(), setExpire(), setIdle(),
isExpired(), isIdled() and others.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=/tmp/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}/tmp/tests

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTTP_Session.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTTP_Session.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTTP_Session
fi

%files
%doc docs/HTTP_Session/*
%{peardir}/*
%{xmldir}/HTTP_Session.xml


%changelog
* Tue Aug 16 2022 mokraemer <mokraemer> 0.5.6-12.mga9
+ Revision: 1878239
- remove old testcases/requirement to old phpunit

* Fri Jun 24 2022 papoteur <papoteur> 0.5.6-11.mga9
+ Revision: 1866027
- Mass Rebuild for dependencies

* Tue Mar 22 2022 umeabot <umeabot> 0.5.6-10.mga9
+ Revision: 1817739
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.5.6-9.mga8
+ Revision: 1499019
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.5.6-8.mga7
+ Revision: 1273241
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.5.6-7.mga6
+ Revision: 947580
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.6-6.mga5
+ Revision: 742504
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.5.6-5.mga5
+ Revision: 734050
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.6-4.mga5
+ Revision: 687298
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.6-3.mga4
+ Revision: 516876
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.6-2.mga3
+ Revision: 376330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 spuhler <spuhler> 0.5.6-1.mga2
+ Revision: 219560
- upgrade to 0.5.6
  pearized spec

* Fri Jan 28 2011 spuhler <spuhler> 0.5.5-6.mga1
+ Revision: 42603
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTTP_Session

